Modify

Opened 7 years ago

Closed 7 years ago

#8667 closed defect (fixed)

This on Josm menu → Scripting → Configure

Reported by: mcheck Owned by: team
Priority: normal Milestone:
Component: Plugin scripting Version:
Keywords: Cc:

Description (last modified by rickmastfan67)

Build-Date: 2013-05-03 01:35:08
Last Changed Author: Don-vip
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Date: 2013-05-01 03:38:53 +0200 (Wed, 01 May 2013)
Repository Root: http://josm.openstreetmap.de/svn
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Rev: 5921
Revision: 5921

Identification: JOSM/1.5 (5921 it) Linux Ubuntu 12.04.2 LTS
Memory Usage: 196 MB / 878 MB (107 MB allocated, but free)
Java version: 1.8.0-ea, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

Plugin: AddrInterpolation (29435)
Plugin: FastDraw (29532)
Plugin: FixAddresses (29519)
Plugin: HouseNumberTaggingTool (29487)
Plugin: ImportImagePlugin (29531)
Plugin: OpeningHoursEditor (29435)
Plugin: PicLayer (29531)
Plugin: RoadSigns (29435)
Plugin: SimplifyArea (29435)
Plugin: buildings_tools (29435)
Plugin: continuosDownload (28565)
Plugin: contourmerge (1003)
Plugin: dataimport (29435)
Plugin: download_along (29435)
Plugin: ext_tools (29435)
Plugin: geotools (29435)
Plugin: graphview (29525)
Plugin: imageryadjust (29435)
Plugin: importvec (29435)
Plugin: irsrectify (29210)
Plugin: jts (29435)
Plugin: lakewalker (29435)
Plugin: log4j (29435)
Plugin: mirrored_download (29505)
Plugin: multipoly-convert (29435)
Plugin: namemanager (29435)
Plugin: opendata (29505)
Plugin: openstreetbugs (29435)
Plugin: pbf (29435)
Plugin: pdfimport (29435)
Plugin: photo_geotagging (29435)
Plugin: plastic_laf (29435)
Plugin: print (29529)
Plugin: proj4j (29435)
Plugin: reltoolbox (29535)
Plugin: reverter (29553)
Plugin: scripting (30300)
Plugin: tag2link (29461)
Plugin: tageditor (29435)
Plugin: tagging-preset-tester (29435)
Plugin: terracer (29509)
Plugin: turnlanes (29435)
Plugin: turnrestrictions (29435)
Plugin: utilsplugin2 (29435)
Plugin: walkingpapers (29480)
Plugin: waypoint_search (29435)
Plugin: wikipedia (29523)
Plugin: wms-turbo-challenge2 (29435)

java.lang.NullPointerException
	at org.openstreetmap.josm.gui.preferences.PreferenceTabbedPane$1.identify(PreferenceTabbedPane.java:203)
	at org.openstreetmap.josm.gui.preferences.PreferenceTabbedPane.selectTabBy(PreferenceTabbedPane.java:191)
	at org.openstreetmap.josm.gui.preferences.PreferenceTabbedPane.selectTabByName(PreferenceTabbedPane.java:200)
	at org.openstreetmap.josm.gui.preferences.PreferenceDialog.selectPreferencesTabByName(PreferenceDialog.java:130)
	at org.openstreetmap.josm.plugins.scripting.preferences.ConfigureAction.actionPerformed(ConfigureAction.java:27)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2022)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2346)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.menuDragMouseReleased(BasicMenuItemUI.java:943)
	at javax.swing.JMenuItem.fireMenuDragMouseReleased(JMenuItem.java:586)
	at javax.swing.JMenuItem.processMenuDragMouseEvent(JMenuItem.java:483)
	at javax.swing.JMenuItem.processMouseEvent(JMenuItem.java:429)
	at javax.swing.MenuSelectionManager.processMouseEvent(MenuSelectionManager.java:322)
	at javax.swing.plaf.basic.BasicPopupMenuUI$MouseGrabber.eventDispatched(BasicPopupMenuUI.java:870)
	at java.awt.Toolkit$SelectiveAWTEventListener.eventDispatched(Toolkit.java:2435)
	at java.awt.Toolkit$ToolkitEventMulticaster.eventDispatched(Toolkit.java:2327)
	at java.awt.Toolkit.notifyAWTEventListeners(Toolkit.java:2285)
	at java.awt.Component.dispatchEventImpl(Component.java:4765)
	at java.awt.Container.dispatchEventImpl(Container.java:2287)
	at java.awt.Component.dispatchEvent(Component.java:4691)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4856)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4516)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4446)
	at java.awt.Container.dispatchEventImpl(Container.java:2273)
	at java.awt.Window.dispatchEventImpl(Window.java:2721)
	at java.awt.Component.dispatchEvent(Component.java:4691)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:728)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:687)
	at java.awt.EventQueue$3.run(EventQueue.java:685)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:86)
	at java.awt.EventQueue$4.run(EventQueue.java:701)
	at java.awt.EventQueue$4.run(EventQueue.java:699)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:698)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:220)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:135)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:123)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:119)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:111)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:97)

Attachments (0)

Change History (5)

comment:1 Changed 7 years ago by rickmastfan67

Description: modified (diff)

Just tried to duplicate this and can't. Might be a Java8 bug.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-05-02 01:35:17
Last Changed Author: Don-vip
Revision: 5921
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-05-01 03:38:53 +0200 (Wed, 01 May 2013)
Last Changed Rev: 5921

Identification: JOSM/1.5 (5921 en) Windows 7 64-Bit
Memory Usage: 213 MB / 2730 MB (73 MB allocated, but free)
Java version: 1.7.0_21, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Xmx3072M]
Dataset consistency test: No problems found

Plugin: ImageryCache (29484)
Plugin: OpeningHoursEditor (29435)
Plugin: buildings_tools (29435)
Plugin: mapdust (29525)
Plugin: measurement (29545)
Plugin: mirrored_download (29505)
Plugin: openstreetbugs (29435)
Plugin: osmarender (29435)
Plugin: reverter (29553)
Plugin: scripting (30300)
Plugin: turnrestrictions (29435)
Plugin: undelete (29555)
Plugin: utilsplugin2 (29435)

comment:2 Changed 7 years ago by Don-vip

Reporter: changed from anonymous to mcheck

comment:3 Changed 7 years ago by Don-vip

Component: CorePlugin scripting

comment:4 Changed 7 years ago by Manu1400

@mcheck : Can you uninstall and install again this plugin ?

comment:5 Changed 7 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 5933/josm:

fix #8667 - NPE with plugins returning invalid preferences (scripting)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.